Credit Card
How to use CreditCard to submit a payin in Mexico.
This endpoint allows you to submit a payin by CreditCard in Mexico.
POST https://gateway.pagsmile.com/trade/pay
Request Body
app_id
string
Required
Max length: 32
The merchant application ID assigned by Pagsmile.
out_trade_no
string
Required
Max length: 64
Merchant order number. Must be unique.
method
string
Required
Fixed value: CreditCard
Payment method.
order_amount
string
Required
No fixed limit. The actual limit depends on the payer's card limit.
Payment amount.
order_currency
string
Required
Fixed value: MXN
Payment currency.
subject
string
Required
Max length: 128
Payment subject or order title.
content
string
Optional
Max length: 255
Payment content or order description.
notify_url
string
Required
Valid URL
The URL to receive payment notifications.
return_url
string
Required
Valid URL
The URL to redirect the user after payment.
buyer_id
string
Required
Max length: 64
Merchant-side user ID.
timestamp
string
Required
Format: yyyy-MM-dd HH:mm:ss; max length: 19
Request timestamp.
token
string
Required
Card token returned by the card tokenization API
The tokenized card information used to submit the card payment.
trade_type
string
Required
Fixed value: API
Trade type.
customer.name
string
Required
-
Customer's name.
customer.email
string
Required
Valid email
Customer's email address.
Request Sample
Response Sample
Refund
Mexico CreditCard supports refund.
Mexico
120 days
Full refund only
Colombia
120 days
Not specified
Chile
120 days
Not specified
Ecuador
180 days
Not specified
Last updated
Was this helpful?